Folks.SimpleQuery – folks Reference Manual

# SimpleQuery

## Object Hierarchy:

## Description:

public class SimpleQuery : Query

A simple text-based contact query.

This is a generic implementation of the Query interface which supports general UI- style search use cases. It implements case-insensitive prefix matching, with transliteration of accents and other non-ASCII characters to improve matching against accented characters. It also normalises phone numbers to make matches invariant to hyphenation and spacing in phone numbers.

## Since:

0.11.0

## See also:

SearchView

Namespace: Folks
Package: folks

## Content:

### Properties:

- public string? query_locale { get; set; }
  Locale to interpret the SimpleQuery.query_string in.
- public string query_string { get; set; }
  The text query string.

### Creation methods:

- public SimpleQuery (string query_string, string[] match_fields)
  Create a simple text query.

### Methods:

- public override uint is_match (Individual individual)
  Determines whether a given Individual matches this query.

### Inherited Members:

All known members inherited from class Folks.Query

- MATCH_FIELDS_ADDRESSES
- MATCH_FIELDS_MISC

- MATCH_FIELDS_NAMES
- is_match

- match_fields

All known members inherited from class GLib.Object

- @get
- @new
- @ref
- @set
- add_toggle_ref
- add_weak_pointer
- bind_property
- connect
- constructed
- disconnect
- dispose
- dup_data
- dup_qdata
- force_floating
- freeze_notify
- get_class
- get_data

- get_property
- get_qdata
- get_type
- getv
- interface_find_property
- interface_install_property
- interface_list_properties
- is_floating
- new_valist
- new_with_properties
- newv
- notify
- notify_property
- ref_count
- ref_sink
- remove_toggle_ref
- remove_weak_pointer

- replace_data
- replace_qdata
- set_data
- set_data_full
- set_property
- set_qdata
- set_qdata_full
- set_valist
- setv
- steal_data
- steal_qdata
- thaw_notify
- unref
- watch_closure
- weak_ref
- weak_unref